%define base_name   phpmailer
%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{base_name}
Version:    6.7.1
Release:    %mkrel 1
Summary:    Full-featured email creation and transfer class for PHP
License:    LGPLv2+
Group:      Development/Other
URL:        https://github.com/PHPMailer/PHPMailer
Source:     https://github.com/PHPMailer/PHPMailer/archive/refs/tags/v%{version}.zip
BuildArch:  noarch
# From composer.json, "require": {
#    "require": {
#        "php": ">=5.5.0",
#        "ext-ctype": "*",
#        "ext-filter": "*"
Requires:       php >= 5.5
Requires:       php-ctype
Requires:       php-filter
# from phpcompatinfo report on version 6.0.1
Requires:       php-hash
Requires:       php-imap
Requires:       php-intl
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-pcre
Requires:       php-composer(fedora/autoloader)
Provides:       php-composer(phpmailer/phpmailer) = %{version}
Recommends:     php-composer(psr/log)

%description
PHP email transport class featuring multiple file attachments, SMTP servers,
CCs, BCCs, HTML messages, and word wrap, and more. It can send email via
sendmail, PHP mail(), or with SMTP. Methods are based on the popular AspEmail
active server component.

Autoloader: %{php_libdir}/PHPMailer/autoload.php

%prep
%setup -q -n PHPMailer-%{version}

%build

%install
install -d -m 755 %{buildroot}%{php_libdir}/PHPMailer
cp -pr src/*.php %{buildroot}%{php_libdir}/PHPMailer
cp -pr language %{buildroot}%{php_libdir}/PHPMailer

cat > %{buildroot}%{php_libdir}/PHPMailer/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('PHPMailer\\PHPMailer\\', __DIR__);
\Fedora\Autoloader\Dependencies::optional(array(
    '%{php_libdir}/Psr/Log/autoload.php',
));
EOF

%files
%doc LICENSE
%doc *.md
%{php_libdir}/PHPMailer


%changelog
* Thu Dec 08 2022 mokraemer <mokraemer> 6.7.1-1.mga9
+ Revision: 1919587
- new release 6.7.1

* Mon Dec 05 2022 mokraemer <mokraemer> 6.7-1.mga9
+ Revision: 1918348
- new version 6.7

* Fri Oct 07 2022 mokraemer <mokraemer> 6.6.5-1.mga9
+ Revision: 1895288
- new version 6.6.5

* Mon Aug 22 2022 mokraemer <mokraemer> 6.6.4-1.mga9
+ Revision: 1879286
- new version 6.6.4

* Mon Jun 20 2022 mokraemer <mokraemer> 6.6.3-1.mga9
+ Revision: 1865290
- new release 6.6.3

* Tue Jun 14 2022 mokraemer <mokraemer> 6.6.2-1.mga9
+ Revision: 1864393
- new version 6.6.2

* Mon Mar 21 2022 umeabot <umeabot> 6.6.0-2.mga9
+ Revision: 1816483
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 mokraemer <mokraemer> 6.6.0-1.mga9
+ Revision: 1786723
- new version 6.6.0

* Thu Feb 17 2022 mokraemer <mokraemer> 6.5.4-1.mga9
+ Revision: 1778989
- new version 6.5.4

* Fri Nov 26 2021 mokraemer <mokraemer> 6.5.3-1.mga9
+ Revision: 1759340
- new version 6.5.3

* Wed Aug 18 2021 mokraemer <mokraemer> 6.5.1-1.mga9
+ Revision: 1741867
- new version 6.5.1

* Mon Jun 28 2021 mokraemer <mokraemer> 6.5.0-1.mga9
+ Revision: 1734082
- new version 6.5.0

* Thu Jun 11 2020 mrambo3501 <mrambo3501> 6.1.6-1.mga8
+ Revision: 1592592
- version 6.1.6 fixes CVE-2020-13625 (mga#26760)

* Fri Feb 14 2020 umeabot <umeabot> 6.0.6-5.mga8
+ Revision: 1522043
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 guillomovitch <guillomovitch> 6.0.6-4.mga7
+ Revision: 1357240
- sync with Fedora package

* Tue Jan 01 2019 guillomovitch <guillomovitch> 6.0.6-3.mga7
+ Revision: 1348310
- fix autoloader

* Thu Dec 27 2018 guillomovitch <guillomovitch> 6.0.6-2.mga7
+ Revision: 1345271
- ship missing php code
- add autoloader

* Wed Dec 26 2018 mokraemer <mokraemer> 6.0.6-1.mga7
+ Revision: 1345101
- new version 6.0.6

* Fri Oct 26 2018 mokraemer <mokraemer> 6.0.5-1.mga7
+ Revision: 1326074
- new version 6.0.5

* Thu Sep 20 2018 umeabot <umeabot> 5.2.26-2.mga7
+ Revision: 1287867
- Mageia 7 Mass Rebuild

* Sat Nov 18 2017 guillomovitch <guillomovitch> 5.2.26-1.mga7
+ Revision: 1177656
- new version 5.2.26

* Mon Jul 31 2017 mrambo3501 <mrambo3501> 5.2.24-1.mga7
+ Revision: 1133097
- version 5.2.24 fixes CVE-2017-11503

* Wed Apr 19 2017 guillomovitch <guillomovitch> 5.2.23-1.mga6
+ Revision: 1096852
- new version
- switch to new PHP dependencies syntax

* Thu Jan 19 2017 mrambo3501 <mrambo3501> 5.2.22-1.mga6
+ Revision: 1082455
- update to 5.2.22 fixes CVE-2017-5223

* Fri Jan 06 2017 guillomovitch <guillomovitch> 5.2.21-1.mga6
+ Revision: 1080293
- new version 5.2.21

* Thu Jan 05 2017 mrambo3501 <mrambo3501> 5.2.14-2.mga6
+ Revision: 1080207
- debian patch added fixes CVE-2016-10033

* Mon Dec 14 2015 spuhler <spuhler> 5.2.14-1.mga6
+ Revision: 910530
-update to vers. 5.2.14
 * fixes bug # 17319

* Wed Oct 15 2014 umeabot <umeabot> 5.2.7-0.20130917.5.mga5
+ Revision: 742152
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 guillomovitch <guillomovitch> 5.2.7-0.20130917.4.mga5
+ Revision: 724649
- fix automatic dependencies
- don't provide pear(ntlm_sasl_client.php), wordpress doesn't use it anymore

* Tue Sep 16 2014 umeabot <umeabot> 5.2.7-0.20130917.3.mga5
+ Revision: 687537
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.2.7-0.20130917.2.mga4
+ Revision: 535053
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 neoclust <neoclust> 5.2.7-0.20130917.1.mga4
+ Revision: 480859
- New version ( needed by wordpress)

* Tue Feb 12 2013 guillomovitch <guillomovitch> 5.1-1.mga3
+ Revision: 398174
- new version

* Sun Jan 13 2013 umeabot <umeabot> 1.73-6.mga3
+ Revision: 377510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 07 2011 spuhler <spuhler> 1.73-5.mga1
+ Revision: 48196
- removed buildroot definition from .spec
- imported package php-phpmailer

